{% extends "@Paa/Default/editionBase.html.twig" %}

{% block ParametreFavori %}
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 margin_bottom">
        Activités de base:&nbsp;<select name="giEditionsRapport_TypeSelectionAB" id="cboType">
            {{ poCheckedOrNot.CreateInputOption("giEditionsRapport_TypeSelectionAB", "TT", "CU",  "TT,AB,SGA,GA","Toutes activités de base,Activités de base,Sous-groupes d'activités de base,Groupes d'activités de base") }}
        </select>  
    </div>
        <div id='TT'>
            toutes activités de base
        </div>
        <div id='AB'>
            liste de choix "activité de base"
        </div>
        
        <div id='GA'>
            liste de choix "sous groupe d'activité de base"
        </div>
        <div id='SGA'>
            liste de choix "groupe d'activité de base"
        </div>
        

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" >
        {{ poCheckedOrNot.CreateInputCheckbox("gbRapportInclutActivitésPasDansBilan", false, "LU","chkRapportInclutActivitésPasDansBilan","Uniquement les activités incluses dans les bilans") }}
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" >
        {{ poCheckedOrNot.CreateInputCheckbox("gbEditionsRapport_InclNomIntervenant", false, "LU","chkEditionsRapport_InclNomIntervenant","Inclure les noms des intervenants") }}
    </div>

    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 margin_bottom">
        Activités de base:&nbsp;<select name="giEditionsRapport_TypeArrondi" id="cboType">
            {{ poCheckedOrNot.CreateInputOption("giEditionsRapport_TypeArrondi", "1", "NU",  "eiTypeArrondiAucun,eiTypeArrondiHeure,eiTypeArrondiDemiHeure,eiTypeArrondiQuartHeure,eiTypeArrondiCinqMinutes","Aucun arrondi,A l'heure,A la demi-heure,Au quart d'heure,A 5 minutes") }}
        </select>  
    </div>

{% endblock %}

{% block fin %}
    <script type="text/javascript">
        
        document.getElementById("cboType").onclick = function () {
             var select = document.getElementById("cboType").value;
             if (select==1){
                 document.getElementById("TT").style.display = "block";
                 document.getElementById("AB").style.display = "none";
                 document.getElementById("GA").style.display = "none";
                 document.getElementById("SGA").style.display = "none";
                 
                 
             }else{
                 if (select==2){
                 document.getElementById("TT").style.display = "none";
                 document.getElementById("AB").style.display = "block";
                 document.getElementById("GA").style.display = "none";
                 document.getElementById("SGA").style.display = "none";
                 
             }else{
                 if (select==3){
                 document.getElementById("TT").style.display = "none";
                 document.getElementById("AB").style.display = "none";
                 document.getElementById("GA").style.display = "block";
                 document.getElementById("SGA").style.display = "none";
                 
             }else{
                 if (select==4){
                 document.getElementById("TT").style.display = "none";
                 document.getElementById("AB").style.display = "none";
                 document.getElementById("GA").style.display = "none";
                 document.getElementById("SGA").style.display = "block";
                 
             }
             }
             }
             }
             console.log(select);
        };
    </script>

{% endblock %}